# CSC 111, Day 12
# Author: Sara Mathieson and CSC 111 class
# Based on Zelle Chap 6
# A program to update a list of account balances
# Note: lots of comments for educational purposes


# This function should modify balances directly
def add_interest(balances, rate):
    
    # goal: modify all balances using a for loop
    for i in range(len(balances)):
        balances[i] = balances[i] * (1+rate) # update the ith balance      
    
    # Note: this function has no return and no print

    # Note: you cannot modify parameters that are single values (int/float/bool/str)
    #   These are called primitive types and they are immutable
    #   This is why Python is [sometimes] called "pass by value"


def main():

    # create a list of several balances
    amounts = [1000, 2200, 800, 360]
    rate = 0.05

    # call our helper function (note no return or assignment)
    add_interest(amounts, rate)

    # amounts has been MODIFIED by the helper function!
    print(amounts)


main()
